What is required for me to be able to use Web Editor?

You can log on Web Editor through the browser on your computer.
The following browsers are supported by Web Editor:

Firefox (version 10 or newer)
Chrome (version 17 or newer)
Safari (version 5 or newer)
Opera (version 11 or newer)
Internet Explorer (version 9 or newer)